Page MenuHomePhabricator

Basic reference input box looks squished
Closed, ResolvedPublic

Assigned To
Authored By
matmarex
Jan 22 2022, 2:12 AM
Referenced Files
F35006047: Screenshot 2022-03-15 at 02.24.30.png
Mar 15 2022, 1:26 AM
F34993944: Screenshot 2022-03-09 at 23.17.36.png
Mar 9 2022, 10:25 PM
F34993940: Screenshot 2022-03-09 at 23.17.06.png
Mar 9 2022, 10:25 PM
F34993961: Screenshot 2022-03-09 at 23.22.22.png
Mar 9 2022, 10:25 PM
F34975584: image.png
Mar 4 2022, 11:05 PM
F34975580: image.png
Mar 4 2022, 10:55 PM
F34926329: image.png
Jan 22 2022, 2:12 AM
F34926331: image.png
Jan 22 2022, 2:12 AM

Description

Basic reference input box looks squished:

image.png (2×3 px, 185 KB)

It should look like this:

image.png (2×3 px, 165 KB)

This happens because the ve-ce-generated-wrapper class is removing margins.

Event Timeline

This is true of all TargetWidget's e.g. the in the media dialog:

image.png (355×524 px, 29 KB)

And also if you loading unwrapped content in the main surface (which Parsoid never does):

image.png (134×214 px, 4 KB)

Change 768182 had a related patch set uploaded (by Esanders; author: Esanders):

[VisualEditor/VisualEditor@master] Restore margin between wrapper paragraphs and document edge

https://gerrit.wikimedia.org/r/768182

Change 768182 merged by jenkins-bot:

[VisualEditor/VisualEditor@master] Restore margin between wrapper paragraphs and document edge

https://gerrit.wikimedia.org/r/768182

Change 768183 had a related patch set uploaded (by Bartosz Dziewoński; author: Esanders):

[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (15c1efdc2)

https://gerrit.wikimedia.org/r/768183

Change 768183 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (15c1efdc2)

https://gerrit.wikimedia.org/r/768183

This looks good now:

Screenshot 2022-03-09 at 23.17.06.png (898×1 px, 114 KB)

Screenshot 2022-03-09 at 23.22.22.png (732×1 px, 75 KB)

An observation: The cursor and the placeholder are not on the same line. Probably some padding or margin ish. See

Screenshot 2022-03-09 at 23.17.36.png (726×1 px, 78 KB)
.

However, I'll be verifying the ticket since the reported issue has been fixed.

Bleh, that's ugly… Thanks for spotting it, let's fix it.

Change 770044 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[VisualEditor/VisualEditor@master] Fix margin wrapper paragraphs in placeholders too

https://gerrit.wikimedia.org/r/770044

Change 770044 merged by jenkins-bot:

[VisualEditor/VisualEditor@master] Fix margin wrapper paragraphs in placeholders too

https://gerrit.wikimedia.org/r/770044

Change 770610 had a related patch set uploaded (by Bartosz Dziewoński; author: Bartosz Dziewoński):

[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (6dd669298)

https://gerrit.wikimedia.org/r/770610

Change 770610 merged by jenkins-bot:

[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (6dd669298)

https://gerrit.wikimedia.org/r/770610

Bleh, that's ugly… Thanks for spotting it, let's fix it.

All good now. Thanks!
See

Screenshot 2022-03-15 at 02.24.30.png (754×1 px, 60 KB)

ppelberg claimed this task.